%global _empty_manifest_terminate_build 0
Name:		python-prometheus-api-client
Version:	0.5.5
Release:	1
Summary:	A small python api to collect data from prometheus
License:	MIT
URL:		https://github.com/4n4nd/prometheus-api-client-python
Source0:	https://files.pythonhosted.org/packages/af/f1/e105375fbba5740be39f66c280657045340cbfb963a5e9d3e8210d74c3c2/prometheus-api-client-0.5.5.tar.gz
BuildArch:	noarch

%description
A Python wrapper for the Prometheus http api and some tools for metrics processing.

%package -n python3-prometheus-api-client
Summary:	A small python api to collect data from prometheus
Provides:	python-prometheus-api-client = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
Requires:	python3-requests
Requires:	python3-dateparser
Requires:	python3-pandas
Requires:	python3-numpy
%description -n python3-prometheus-api-client
A Python wrapper for the Prometheus http api and some tools for metrics processing.

%package help
Summary:	Development documents and examples for prometheus-api-client
Provides:	python3-prometheus-api-client-doc
%description help
A Python wrapper for the Prometheus http api and some tools for metrics processing.

%prep
%autosetup -n prometheus-api-client-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-prometheus-api-client -f filelist.lst
%dir %{python3_sitelib}/*
%exclude %{python3_sitelib}/tests

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Thu Feb 22 2024 jiangxinyu <jiangxinyu@kylinos.cn> - 0.5.5-1
- Update package to version 0.5.5
  add get_label_names helper

* Thu Jun 01 2023 jiangxinyu <jiangxinyu@kylinos.cn> - 0.5.3-1
- Update package to version 0.5.3

* Tue Dec 6 2022 chendexi <chendexi@kylinos.cn> - 0.5.2-1
- Upgrade pacakge to v0.5.2

* Mon Feb 27 2023 xu_ping <xuping33@h-partners.com> - 0.4.2-2
- Remove tests files that conflict with python-yarg.

* Wed Aug 11 2021 Python_Bot <Python_Bot@openeuler.org> - 0.4.2-1
- Package Spec generated
